begin transaction;
  if not  EXISTS (SELECT IDTipoPagamento from TipiPagamento where	(IDTipoPagamento = 100))
    begin
     INSERT INTO TipiPagamento(IDTipoPagamento,Descrizione,FineMese, Giorni, FAEL_CondizionePagamento, Nascosto)  VALUES (100,'CONTANTI',0,0,'',0) 
    end

  if not  EXISTS (SELECT IDTipoPagamento  from TipiPagamento where	(IDTipoPagamento = 101))
    begin
     INSERT INTO TipiPagamento(IDTipoPagamento,Descrizione,FineMese, Giorni, FAEL_CondizionePagamento, Nascosto)  VALUES (101,'POS',0,0,'',0) 
    end

  if not  EXISTS (SELECT IDTipoPagamento from TipiPagamento where	(IDTipoPagamento = 102))
    begin
     INSERT INTO TipiPagamento(IDTipoPagamento,Descrizione,FineMese, Giorni, FAEL_CondizionePagamento, Nascosto)  VALUES (102,'NON PAGATO',0,0,'',1) 
   end

 commit;



